#if !defined(AFX_EDITACCESSLEVEL_H__8AA130B6_CA99_4E41_99E8_EF31D8A61BF0__INCLUDED_)
#define AFX_EDITACCESSLEVEL_H__8AA130B6_CA99_4E41_99E8_EF31D8A61BF0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditAccessLevel.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditAccessLevel dialog

class CEditAccessLevel : public CDialog
{
// Construction
public:
	CEditAccessLevel(CWnd* pParent = NULL);   // standard constructor
	CEditAccessLevel(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CEditAccessLevel)
	enum { IDD = IDD_ACCESS_EDIT };
	CComboBox	m_AcclList;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CListBox	m_EditSubAcctList;
	CEdit	m_Cnt_AcclDesc;
	CEdit	m_Cnt_AcclName;
	CString	m_AcclName;
	CString	m_AcclDesc;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditAccessLevel)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	
	// Generated message map functions
	//{{AFX_MSG(CEditAccessLevel)
	virtual BOOL OnInitDialog();
	afx_msg void OnEdit();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeSubAcctlist();
	afx_msg void OnSelchangeAccllist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
IApplicationPtr pApplication;
IAccessLevelPtr	pAccl;  
void LoadAccounts();
void LoadSubAccounts(long lAcctID);
void LoadSubAccountNames(long lAcctID);
void LoadAccessLevels();
void GetAccessLevelDetails();

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITACCESSLEVEL_H__8AA130B6_CA99_4E41_99E8_EF31D8A61BF0__INCLUDED_)
